#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-silver
version:              3.3.2
visibility:           public
id:                   tasty-silver-3.3.2-Lw2tdMbuZiAERaKBUYd3rw
key:                  tasty-silver-3.3.2-Lw2tdMbuZiAERaKBUYd3rw
license:              MIT
maintainer:           Andreas Abel, Philipp Hausmann
author:               Philipp Hausmann, Andreas Abel, Roman Cheplyaka, and others
homepage:             https://github.com/phile314/tasty-silver
synopsis:             A fancy test runner, including support for golden tests.
description:
    This package provides a fancy test runner and support for «golden testing».

    A golden test is an IO action that writes its result to a file.
    To pass the test, this output file should be identical to the corresponding
    «golden» file, which contains the correct result for the test.

    The test runner allows filtering tests using regexes, and to interactively
    inspect the result of golden tests.

    This package is a heavily extended fork of tasty-golden.

category:             Testing
abi:                  ed7e31f3815b2107d4f35155645a1b70
exposed:              True
exposed-modules:
    Test.Tasty.Silver Test.Tasty.Silver.Advanced
    Test.Tasty.Silver.Filter Test.Tasty.Silver.Interactive
    Test.Tasty.Silver.Interactive.Run Test.Tasty.Silver.Internal

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tasty-silver-3.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tasty-silver-3.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-silver
hs-libraries:         HStasty-silver-3.3.2-Lw2tdMbuZiAERaKBUYd3rw
depends:
    ansi-terminal-1.0-HXMYrAonyDbGeThYOH7A5U
    async-2.2.5-4JGZT0Ph9Ej3DBYAmeojJP base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1 deepseq-1.4.6.1
    directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    optparse-applicative-0.17.1.0-92ShIE9pEy5K3fr8qppb26
    process-1.6.16.0 process-extras-0.7.4-HEM75QcL3jR9JpjJi5E6j
    regex-tdfa-1.3.2.2-Jqk1ZMahmcyCwODZUJ39zs
    silently-1.2.5.3-ELa4xfIWJNsGKlyJ7FNmrT stm-2.5.0.2
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP
    tasty-1.4.3-7mwiS20bCN4I3SJ3l4eJAB
    temporary-1.3-LslXef9fxY121fqYURkLiX text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-tasty-silver/html/tasty-silver.haddock

haddock-html:         /usr/share/doc/haskell-tasty-silver/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

